from machine import Pin, ADC, PWM
import time

# Create a PWM object linked to pin 15
pwm_led = PWM(Pin(20,mode=Pin.OUT))#PWM avec la led en D20
pwm_led.freq(1_000)#frequence de la raspberry pico

# Create an ADC object linked to pin 26
adc = ADC(Pin(26, mode=Pin.IN))#lecture du port A0 analogique

while True:

    val = adc.read_u16()# lecture du port A0
    pwm_led.duty_u16(val)#on applique le pwm en fonction de la valeur du potentiomètre
    time.sleep_ms(10)
    print(val)